<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__peripheral__funcs" kind="group">
    <compoundname>group_sysclk_clk_peripheral_funcs</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_PeriphSetDivider</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum, uint32_t dividerValue)</argsstring>
        <name>Cy_SysClk_PeriphSetDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerValue</declname>
        </param>
        <briefdescription>
<para>Sets one of the programmable clock dividers. </para>        </briefdescription>
        <detaileddescription>
<para>This is only used for integer dividers. Use <ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga225246fa280e0077367f4389a18dbf21">Cy_SysClk_PeriphSetFracDivider</ref> for setting factional dividers.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition-precondition admonition"&gt;&lt;p class="admonition-title"&gt;&lt;span&gt;Precondition&lt;/span&gt;&lt;/p&gt;&lt;p&gt;&lt;p&gt;If the specified clock divider is already enabled - it should be disabled prior to use this function by &lt;a href="group__group__sysclk__clk__peripheral__funcs.html#group__group__sysclk__clk__peripheral__funcs_1gac61ce8988b801b5edd829703e5c1ac3e"&gt;Cy_SysClk_PeriphDisableDivider&lt;/a&gt;.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>the divider number.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerValue</parametername>
</parameternamelist>
<parameterdescription>
<para>divider value Causes integer division of (divider value + 1), or division by 1 to 256 (8-bit divider) or 1 to 65536 (16-bit divider).</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />16-bit<sp />peripheral<sp />divider<sp />#2<sp />needs<sp />to<sp />be<sp />incremented<sp />by<sp />1.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />periDiv<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gaa9c439ea7e51afb84697bbb943c44901">Cy_SysClk_PeriphGetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />2UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127">Cy_SysClk_PeriphSetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />2UL,<sp />periDiv<sp />+<sp />1UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2644" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2618" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2581" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1gaa9c439ea7e51afb84697bbb943c44901" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SysClk_PeriphGetDivider</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum)</argsstring>
        <name>Cy_SysClk_PeriphGetDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <briefdescription>
<para>Returns the integer divider value for the specified divider. </para>        </briefdescription>
        <detaileddescription>
<para>One works for integer dividers. Use <ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gaa8a944eae3f45234d5d8442d6c088d89">Cy_SysClk_PeriphGetFracDivider</ref> to get the fractional divider value</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The divider value. The integer division done is by (divider value + 1), or division by 1 to 256 (8-bit divider) or 1 to 65536 (16-bit divider).</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />16-bit<sp />peripheral<sp />divider<sp />#2<sp />needs<sp />to<sp />be<sp />incremented<sp />by<sp />1.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />periDiv<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gaa9c439ea7e51afb84697bbb943c44901">Cy_SysClk_PeriphGetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />2UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127">Cy_SysClk_PeriphSetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />2UL,<sp />periDiv<sp />+<sp />1UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2683" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2666" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2582" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1ga225246fa280e0077367f4389a18dbf21" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_PeriphSetFracDivider</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum, uint32_t dividerIntValue, uint32_t dividerFracValue)</argsstring>
        <name>Cy_SysClk_PeriphSetFracDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerIntValue</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerFracValue</declname>
        </param>
        <briefdescription>
<para>Sets one of the programmable clock dividers. </para>        </briefdescription>
        <detaileddescription>
<para>This function should only be used for fractional clock dividers.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition-precondition admonition"&gt;&lt;p class="admonition-title"&gt;&lt;span&gt;Precondition&lt;/span&gt;&lt;/p&gt;&lt;p&gt;&lt;p&gt;If the specified clock divider is already enabled - it should be disabled prior to use this function by &lt;a href="group__group__sysclk__clk__peripheral__funcs.html#group__group__sysclk__clk__peripheral__funcs_1gac61ce8988b801b5edd829703e5c1ac3e"&gt;Cy_SysClk_PeriphDisableDivider&lt;/a&gt;.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerIntValue</parametername>
</parameternamelist>
<parameterdescription>
<para>the integer divider value The source of the divider is peri_clk, which is a divided version of hf_clk[0]. The divider value causes integer division of (divider value + 1), or division by 1 to 65536 (16-bit divider) or 1 to 16777216 (24-bit divider).</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerFracValue</parametername>
</parameternamelist>
<parameterdescription>
<para>the fraction part of the divider The fractional divider can be 1-32, thus it divides the clock by 1/32 for each count. To divide the clock by 11/32nds set this value to 11.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />16-bit<sp />fractional<sp />peripheral<sp />divider<sp />#0<sp />needs<sp />to<sp />increment<sp />its</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />fractional<sp />value<sp />by<sp />2.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />divIntVal,<sp />divFracVal;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gaa8a944eae3f45234d5d8442d6c088d89">Cy_SysClk_PeriphGetFracDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a4fdbf879741f86ed8b2a600727604763">CY_SYSCLK_DIV_16_5_BIT</ref>,<sp />0UL,<sp />&amp;divIntVal,<sp />&amp;divFracVal);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga225246fa280e0077367f4389a18dbf21">Cy_SysClk_PeriphSetFracDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a4fdbf879741f86ed8b2a600727604763">CY_SYSCLK_DIV_16_5_BIT</ref>,<sp />0UL,<sp />divIntVal,<sp />divFracVal<sp />+<sp />2UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2746" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2716" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2583" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1gaa8a944eae3f45234d5d8442d6c088d89" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_SysClk_PeriphGetFracDivider</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum, uint32_t *dividerIntValue, uint32_t *dividerFracValue)</argsstring>
        <name>Cy_SysClk_PeriphGetFracDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>dividerIntValue</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>dividerFracValue</declname>
        </param>
        <briefdescription>
<para>Reports the integer and fractional parts of the divider. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*dividerIntValue</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to return integer divider value</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>*dividerFracValue</parametername>
</parameternamelist>
<parameterdescription>
<para>pointer to return fractional divider value</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>None. Loads pointed-to variables.</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />16-bit<sp />fractional<sp />peripheral<sp />divider<sp />#0<sp />needs<sp />to<sp />increment<sp />its</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />fractional<sp />value<sp />by<sp />2.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />divIntVal,<sp />divFracVal;</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gaa8a944eae3f45234d5d8442d6c088d89">Cy_SysClk_PeriphGetFracDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a4fdbf879741f86ed8b2a600727604763">CY_SYSCLK_DIV_16_5_BIT</ref>,<sp />0UL,<sp />&amp;divIntVal,<sp />&amp;divFracVal);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga225246fa280e0077367f4389a18dbf21">Cy_SysClk_PeriphSetFracDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a4fdbf879741f86ed8b2a600727604763">CY_SYSCLK_DIV_16_5_BIT</ref>,<sp />0UL,<sp />divIntVal,<sp />divFracVal<sp />+<sp />2UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2787" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2769" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2584" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1gacb66324e3191006f6d1cee8b29238fb2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_PeriphAssignDivider</definition>
        <argsstring>(en_clk_dst_t ipBlock, cy_en_divider_types_t dividerType, uint32_t dividerNum)</argsstring>
        <name>Cy_SysClk_PeriphAssignDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga9aa4619e36f4b0314e9b882f4ff2b6df">en_clk_dst_t</ref></type>
          <declname>ipBlock</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <briefdescription>
<para>Assigns a programmable divider to a selected IP block, such as a TCPWM or SCB. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ipBlock</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies ip block to connect the clock divider to.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />source<sp />of<sp />TCPWM0<sp />CNT0<sp />clock<sp />needs<sp />to<sp />be<sp />known.<sp />If<sp />this</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />source<sp />is<sp />not<sp />16-bit<sp />divider<sp />#3,<sp />update<sp />it<sp />to<sp />be<sp />sourced<sp />from</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />that<sp />clock<sp />divider<sp />and<sp />set<sp />the<sp />divider<sp />value<sp />to<sp />2000.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />currDiv<sp /><sp /><sp /><sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8554a89c2696d8246d02ce8cfedff6a0">Cy_SysClk_PeriphGetAssignedDivider</ref>(PCLK_TCPWM0_CLOCKS0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />newDiv<sp /><sp /><sp /><sp /><sp />=<sp />_VAL2FLD(PERI_DIV_CMD_TYPE_SEL,<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />_VAL2FLD(PERI_DIV_CMD_DIV_SEL,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(currDiv<sp />!=<sp />newDiv)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Assign<sp />16-bit<sp />divider<sp />#3<sp />to<sp />source<sp />TCPWM0<sp />CNT0<sp />clock<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gacb66324e3191006f6d1cee8b29238fb2">Cy_SysClk_PeriphAssignDivider</ref>(PCLK_TCPWM0_CLOCKS0,<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />16-bit<sp />divider<sp />#3<sp />value<sp />to<sp />2000<sp />(1999<sp />+<sp />1)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127">Cy_SysClk_PeriphSetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />3UL,<sp />1999UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />16-bit<sp />divider<sp />#3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8c626f11b583d8296516bbcf4a22f98e">Cy_SysClk_PeriphEnableDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />3UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2826" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2809" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2585" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1ga8554a89c2696d8246d02ce8cfedff6a0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_SysClk_PeriphGetAssignedDivider</definition>
        <argsstring>(en_clk_dst_t ipBlock)</argsstring>
        <name>Cy_SysClk_PeriphGetAssignedDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga9aa4619e36f4b0314e9b882f4ff2b6df">en_clk_dst_t</ref></type>
          <declname>ipBlock</declname>
        </param>
        <briefdescription>
<para>Reports which clock divider is assigned to a selected IP block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ipBlock</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies ip block to connect the clock divider to.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The divider type and number, where bits [7:6] = type, bits[5:0] = divider number within that type</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />source<sp />of<sp />TCPWM0<sp />CNT0<sp />clock<sp />needs<sp />to<sp />be<sp />known.<sp />If<sp />this</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />source<sp />is<sp />not<sp />16-bit<sp />divider<sp />#3,<sp />update<sp />it<sp />to<sp />be<sp />sourced<sp />from</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />that<sp />clock<sp />divider<sp />and<sp />set<sp />the<sp />divider<sp />value<sp />to<sp />2000.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />currDiv<sp /><sp /><sp /><sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8554a89c2696d8246d02ce8cfedff6a0">Cy_SysClk_PeriphGetAssignedDivider</ref>(PCLK_TCPWM0_CLOCKS0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />newDiv<sp /><sp /><sp /><sp /><sp />=<sp />_VAL2FLD(PERI_DIV_CMD_TYPE_SEL,<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />_VAL2FLD(PERI_DIV_CMD_DIV_SEL,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(currDiv<sp />!=<sp />newDiv)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Assign<sp />16-bit<sp />divider<sp />#3<sp />to<sp />source<sp />TCPWM0<sp />CNT0<sp />clock<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gacb66324e3191006f6d1cee8b29238fb2">Cy_SysClk_PeriphAssignDivider</ref>(PCLK_TCPWM0_CLOCKS0,<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />3UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />16-bit<sp />divider<sp />#3<sp />value<sp />to<sp />2000<sp />(1999<sp />+<sp />1)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127">Cy_SysClk_PeriphSetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />3UL,<sp />1999UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />16-bit<sp />divider<sp />#3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8c626f11b583d8296516bbcf4a22f98e">Cy_SysClk_PeriphEnableDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />3UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2848" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2844" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2586" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1ga8c626f11b583d8296516bbcf4a22f98e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_PeriphEnableDivider</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum)</argsstring>
        <name>Cy_SysClk_PeriphEnableDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <briefdescription>
<para>Enables the selected divider. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function also sets the phase alignment bits such that the enabled divider is aligned to clk_peri. See &lt;a href="group__group__sysclk__clk__peripheral__funcs.html#group__group__sysclk__clk__peripheral__funcs_1gac61ce8988b801b5edd829703e5c1ac3e"&gt;Cy_SysClk_PeriphDisableDivider()&lt;/a&gt; for information on how to phase-align a divider after it is enabled.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />TCPWM0<sp />CNT0<sp />clock<sp />needs<sp />to<sp />be<sp />sourced<sp />from<sp />8-bit<sp />divider<sp />#1<sp />with</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />a<sp />value<sp />of<sp />140.<sp />This<sp />clock<sp />must<sp />be<sp />aligned<sp />to<sp />Peri<sp />clock.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Assign<sp />8-bit<sp />divider<sp />#1<sp />to<sp />source<sp />TCPWM0<sp />CNT0<sp />clock<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gacb66324e3191006f6d1cee8b29238fb2">Cy_SysClk_PeriphAssignDivider</ref>(PCLK_TCPWM0_CLOCKS0,<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />1UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />8-bit<sp />divider<sp />#1<sp />value<sp />to<sp />140<sp />(139<sp />+<sp />1)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127">Cy_SysClk_PeriphSetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />1UL,<sp />139UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />8-bit<sp />divider<sp />#1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8c626f11b583d8296516bbcf4a22f98e">Cy_SysClk_PeriphEnableDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />1UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2891" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2870" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2587" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1gac61ce8988b801b5edd829703e5c1ac3e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_PeriphDisableDivider</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum)</argsstring>
        <name>Cy_SysClk_PeriphDisableDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <briefdescription>
<para>Disables a selected divider. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />8-bit<sp />divider<sp />#1<sp />is<sp />no<sp />longer<sp />needed<sp />and<sp />can<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac61ce8988b801b5edd829703e5c1ac3e">Cy_SysClk_PeriphDisableDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />1UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2927" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2909" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2588" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1ga2e6e86005279b998b20dc93424c30127" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__sysclk__returns_1gad6699a184e2e3c01433251b0981558f3">cy_en_sysclk_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_sysclk_status_t Cy_SysClk_PeriphEnablePhaseAlignDivider</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum, cy_en_divider_types_t dividerTypePA, uint32_t dividerNumPA)</argsstring>
        <name>Cy_SysClk_PeriphEnablePhaseAlignDivider</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerTypePA</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNumPA</declname>
        </param>
        <briefdescription>
<para>First disables a selected divider (<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac61ce8988b801b5edd829703e5c1ac3e">Cy_SysClk_PeriphDisableDivider</ref>), then aligns that divider to another programmable divider, and enables the selected divider. </para>        </briefdescription>
        <detaileddescription>
<para>The divider to align to must already be enabled in order to align a divider to it.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerTypePA</parametername>
</parameternamelist>
<parameterdescription>
<para>type of divider to phase-align to; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNumPA</parametername>
</parameternamelist>
<parameterdescription>
<para>divider number of type specified to phase align to.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;To phase-align a divider to clk_peri, set dividerTypePA to 3 and dividerNumPA to 63.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />8-bit<sp />divider<sp />#1<sp />needs<sp />to<sp />be<sp />aligned<sp />to<sp />16-bit<sp />divider<sp />#0.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />8-bit<sp />divider<sp />#1<sp />value<sp />to<sp />125<sp />(124<sp />+<sp />1)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127">Cy_SysClk_PeriphSetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />1UL,<sp />124UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8c626f11b583d8296516bbcf4a22f98e">Cy_SysClk_PeriphEnableDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />1UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />16-bit<sp />divider<sp />#0<sp />value<sp />to<sp />2000<sp />(1999<sp />+<sp />1)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127">Cy_SysClk_PeriphSetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />0UL,<sp />1999UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8c626f11b583d8296516bbcf4a22f98e">Cy_SysClk_PeriphEnableDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Align<sp />the<sp />8-bit<sp />divider<sp />#1<sp />to<sp />the<sp />16-bit<sp />divider<sp />#0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga2e6e86005279b998b20dc93424c30127">Cy_SysClk_PeriphEnablePhaseAlignDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />1UL,<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />0UL);</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2983" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2956" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2589" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1ga517032ab86d35bc6974e0c0de5e496b8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE bool</type>
        <definition>__STATIC_INLINE bool Cy_SysClk_PeriphGetDividerEnabled</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum)</argsstring>
        <name>Cy_SysClk_PeriphGetDividerEnabled</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <briefdescription>
<para>Reports the enabled/disabled atate of the selected divider. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The enabled/disabled state; <linebreak />
false = disabled <linebreak />
true = enabled</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Check<sp />if<sp />the<sp />16-bit<sp />divider<sp />#0<sp />is<sp />enabled.<sp />If<sp />it<sp />is<sp />not,<sp />then</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />enable<sp />the<sp />divider.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(</highlight><highlight class="keyword">true</highlight><highlight class="normal"><sp />==<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga517032ab86d35bc6974e0c0de5e496b8">Cy_SysClk_PeriphGetDividerEnabled</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />0UL))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8c626f11b583d8296516bbcf4a22f98e">Cy_SysClk_PeriphEnableDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53">CY_SYSCLK_DIV_16_BIT</ref>,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3031" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="3004" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2590" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysclk__clk__peripheral__funcs_1ga366428a7c17da00f7a7ae025aeda2e23" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t Cy_SysClk_PeriphGetFrequency</definition>
        <argsstring>(cy_en_divider_types_t dividerType, uint32_t dividerNum)</argsstring>
        <name>Cy_SysClk_PeriphGetFrequency</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></type>
          <declname>dividerType</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dividerNum</declname>
        </param>
        <briefdescription>
<para>Reports the frequency of the output of a given peripheral divider. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>dividerType</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which type of divider to use; <ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8">cy_en_divider_types_t</ref></para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dividerNum</parametername>
</parameternamelist>
<parameterdescription>
<para>specifies which divider of the selected type to configure</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The frequency, in Hz.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The reported frequency may be zero, which indicates unknown. This happens if the source input is dsi_out or clk_altlf.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />SCB0<sp />needs<sp />to<sp />be<sp />clocked<sp />at<sp />PeriClk/3.<sp />Need<sp />to<sp />confirm<sp />that<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />set<sp />frequency<sp />on<sp />the<sp />chosen<sp />peripheral<sp />divider<sp />is<sp />correct.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />HFCLK0<sp />and<sp />the<sp />clocks<sp />leading<sp />up<sp />it<sp />are<sp />configured.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />Peri<sp />clock<sp />divider<sp />to<sp />2<sp />(1<sp />+<sp />1)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysclk__clk__peri__funcs_1ga43eae2e50299c3fe43d3fa9f0442af20">Cy_SysClk_ClkPeriSetDivider</ref>(1U);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Assign<sp />8-bit<sp />divider<sp />#0<sp />to<sp />source<sp />SCB0<sp />clock<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gacb66324e3191006f6d1cee8b29238fb2">Cy_SysClk_PeriphAssignDivider</ref>(PCLK_SCB0_CLOCK,<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />8-bit<sp />divider<sp />#0<sp />value<sp />to<sp />3<sp />(2<sp />+<sp />1)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1gac67931844e6ec06b5ff88f4f3119e127">Cy_SysClk_PeriphSetDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />0UL,<sp />2UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />8-bit<sp />divider<sp />#0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga8c626f11b583d8296516bbcf4a22f98e">Cy_SysClk_PeriphEnableDivider</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Calculate<sp />the<sp />frequency<sp />seen<sp />at<sp />the<sp />output<sp />of<sp />8-bit<sp />divider<sp />#0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />scbFreq<sp />=<sp /><ref kindref="member" refid="group__group__sysclk__clk__peripheral__funcs_1ga366428a7c17da00f7a7ae025aeda2e23">Cy_SysClk_PeriphGetFrequency</ref>(<ref kindref="member" refid="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad">CY_SYSCLK_DIV_8_BIT</ref>,<sp />0UL);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(scbFreq<sp />==<sp />0UL)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Could<sp />not<sp />calculate<sp />the<sp />frequency.<sp />Check<sp />that<sp />the<sp />clock<sp />source</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />is<sp />correct<sp />and/or<sp />verify<sp />by<sp />enabling<sp />the<sp />SCB0.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Check<sp />that<sp />the<sp />frequency<sp />is<sp />as<sp />expected.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2231" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysclk.c" bodystart="2194" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2591" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>